Package org.zkoss.zk.ui.metainfo

## Class FunctionMapperInfo

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.FunctionMapperInfo

-     public class FunctionMapperInfo
      extends java.lang.Object

  A definition of the function mapper (`FunctionMapper`).

  Note: we resolve the class by using Classes.forNameByThread. In other words, it doesn't support the class defined in zscript. Why not? Since there is no way to run zscript before the function-mapper directive (and better performance).

  Note: it is not serializable.

  Since:
    3.5.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionMapperInfo​(java.lang.Class<? extends FunctionMapper> cls)` | Constructs with a class.
    `FunctionMapperInfo​(java.lang.Class<? extends FunctionMapper> cls, java.util.Map<java.lang.String,​java.lang.String> args)` | Constructs with a class.
    `FunctionMapperInfo​(java.lang.String clsnm)` | Constructs with a class name.
    `FunctionMapperInfo​(java.lang.String clsnm, java.util.Map<java.lang.String,​java.lang.String> args)` | Constructs with a class name.
    `FunctionMapperInfo​(FunctionMapper mapper)` | Constructs with an initiator that will be reuse each time `newFunctionMapper(org.zkoss.zk.ui.metainfo.PageDefinition, org.zkoss.zk.ui.Page)` is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionMapper` | `newFunctionMapper​(PageDefinition pgdef, Page page)` | Creates and returns the function mapper for the specified pagedefinition and page.
    `FunctionMapper` | `newFunctionMapper​(Evaluator eval, Page page)` | Creates and returns the function mapper for the specified evaluator and page.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionMapperInfo

          public FunctionMapperInfo​(java.lang.Class<? extends FunctionMapper> cls,
                                    java.util.Map<java.lang.String,​java.lang.String> args)

      Constructs with a class.
      Parameters:
        `args` - the map of arguments. Ignored if null.
        Notice that, once assigned, the map belongs to this object, and the caller shall not access it again
      Since:
        3.6.1

    - #### FunctionMapperInfo

          public FunctionMapperInfo​(java.lang.Class<? extends FunctionMapper> cls)

      Constructs with a class.

    - #### FunctionMapperInfo

          public FunctionMapperInfo​(java.lang.String clsnm,
                                    java.util.Map<java.lang.String,​java.lang.String> args)
                             throws java.lang.ClassNotFoundException

      Constructs with a class name.
      Parameters:
        `clsnm` - the class name; it could be an EL expression.
      Throws:
        `java.lang.ClassNotFoundException`

    - #### FunctionMapperInfo

          public FunctionMapperInfo​(java.lang.String clsnm)
                             throws java.lang.ClassNotFoundException

      Constructs with a class name.
      Parameters:
        `clsnm` - the class name; it could be an EL expression.
      Throws:
        `java.lang.ClassNotFoundException`

    - #### FunctionMapperInfo

          public FunctionMapperInfo​(FunctionMapper mapper)

      Constructs with an initiator that will be reuse each time `newFunctionMapper(org.zkoss.zk.ui.metainfo.PageDefinition, org.zkoss.zk.ui.Page)` is called.

  - ### Method Detail

    - #### newFunctionMapper

          public FunctionMapper newFunctionMapper​(PageDefinition pgdef,
                                                  Page page)
                                           throws java.lang.Exception

      Creates and returns the function mapper for the specified pagedefinition and page.
      Throws:
        `java.lang.Exception`

    - #### newFunctionMapper

          public FunctionMapper newFunctionMapper​(Evaluator eval,
                                                  Page page)
                                           throws java.lang.Exception

      Creates and returns the function mapper for the specified evaluator and page.
      Throws:
        `java.lang.Exception`
      Since:
        3.6.2

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`